from pydantic import BaseModel, ConfigDict, Field


class PedimentoTransportCatalogDTO(BaseModel):
    code: str = Field(..., min_length=1, max_length=3)
    transport_en: str
    transport_es: str
    payment_date_code: str = Field(..., min_length=1, max_length=1)

    model_config = ConfigDict(from_attributes=True)
